Package robocode.control.snapshot

# Interface IScoreSnapshot

All Superinterfaces:
  `Comparable<Object>`

public interface IScoreSnapshot extends Comparable<Object>
Interface of a score snapshot at a specific time in a battle.

Since:
  1.6.2
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)

## Method Summary

Modifier and Type
Method
Description
`double`
`getCurrentBulletDamageScore()`
Returns the current bullet damage score.
`double`
`getCurrentBulletKillBonus()`
Returns the current bullet kill bonus.
`double`
`getCurrentRammingDamageScore()`
Returns the current ramming damage score.
`double`
`getCurrentRammingKillBonus()`
Returns the current ramming kill bonus.
`double`
`getCurrentScore()`
Returns the current score.
`double`
`getCurrentSurvivalBonus()`
Returns the current survival bonus.
`double`
`getCurrentSurvivalScore()`
Returns the current survival score.
`String`
`getName()`
Returns the name of the contestant, i.e.
`double`
`getTotalBulletDamageScore()`
Returns the total bullet damage score.
`double`
`getTotalBulletKillBonus()`
Returns the total bullet kill bonus.
`int`
`getTotalFirsts()`
Returns the total number of first places.
`double`
`getTotalLastSurvivorBonus()`
Returns the total last survivor score.
`double`
`getTotalRammingDamageScore()`
Returns the total ramming damage score.
`double`
`getTotalRammingKillBonus()`
Returns the total ramming kill bonus.
`double`
`getTotalScore()`
Returns the total score.
`int`
`getTotalSeconds()`
Returns the total number of second places.
`double`
`getTotalSurvivalScore()`
Returns the total survival score.
`int`
`getTotalThirds()`
Returns the total number of third places.

### Methods inherited from interface java.lang.Comparable

`compareTo`

## Method Details

### getName

String getName()
Returns the name of the contestant, i.e. a robot or team.

Returns:
  the name of the contestant, i.e. a robot or team.

### getTotalScore

double getTotalScore()
Returns the total score.

Returns:
  the total score.

### getTotalSurvivalScore

double getTotalSurvivalScore()
Returns the total survival score.

Returns:
  the total survival score.

### getTotalLastSurvivorBonus

double getTotalLastSurvivorBonus()
Returns the total last survivor score.

Returns:
  the total last survivor score.

### getTotalBulletDamageScore

double getTotalBulletDamageScore()
Returns the total bullet damage score.

Returns:
  the total bullet damage score.

### getTotalBulletKillBonus

double getTotalBulletKillBonus()
Returns the total bullet kill bonus.

Returns:
  the total bullet kill bonus.

### getTotalRammingDamageScore

double getTotalRammingDamageScore()
Returns the total ramming damage score.

Returns:
  the total ramming damage score.

### getTotalRammingKillBonus

double getTotalRammingKillBonus()
Returns the total ramming kill bonus.

Returns:
  the total ramming kill bonus.

### getTotalFirsts

int getTotalFirsts()
Returns the total number of first places.

Returns:
  the total number of first places.

### getTotalSeconds

int getTotalSeconds()
Returns the total number of second places.

Returns:
  the total number of second places.

### getTotalThirds

int getTotalThirds()
Returns the total number of third places.

Returns:
  the total number of third places.

### getCurrentScore

double getCurrentScore()
Returns the current score.

Returns:
  the current score.

### getCurrentSurvivalScore

double getCurrentSurvivalScore()
Returns the current survival score.

Returns:
  the current survival score.

### getCurrentSurvivalBonus

double getCurrentSurvivalBonus()
Returns the current survival bonus.

Returns:
  the current survival bonus.

### getCurrentBulletDamageScore

double getCurrentBulletDamageScore()
Returns the current bullet damage score.

Returns:
  the current bullet damage score.

### getCurrentBulletKillBonus

double getCurrentBulletKillBonus()
Returns the current bullet kill bonus.

Returns:
  the current bullet kill bonus.

### getCurrentRammingDamageScore

double getCurrentRammingDamageScore()
Returns the current ramming damage score.

Returns:
  the current ramming damage score.

### getCurrentRammingKillBonus

double getCurrentRammingKillBonus()
Returns the current ramming kill bonus.

Returns:
  the current ramming kill bonus.